ant-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "John Gibson (JIRA)" <j...@apache.org>
Subject [jira] Updated: (IVY-1208) OSGi-friendly OSGi friendly LatestRevisionStrategy
Date Fri, 18 Mar 2011 17:26:29 GMT

     [ https://issues.apache.org/jira/browse/IVY-1208?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

John Gibson updated IVY-1208:
-----------------------------

          Description: 
The latest revision strategy is incompatible with OSGi's versioning scheme.  For example 1.1.1
is considered to be after 1.1.1.foo.  This is at odds with OSGi's versioning rules, and can
cause the incorrect revision to be selected when working with bundles from Spring Source's
repository (http://www.springsource.com/repository/app/), for example.

Alex Radeski raised this issue about 2 years ago and provided the attached patch to correct
it. I propose that we either accept his patch to improve the behavior or follow Xavier Hanin's
suggestion and adapt it to provide a separate osgi revision strategy.

For the original discussion of the issue, see this discussion thread:
http://marc.info/?l=ant-dev&m=122019942409967&w=1


  was:
The latest revision strategy is incompatible with OSGi's versioning scheme.  For example Ivy
considers 1.1.1 is considered to be after 1.1.1.foo.  This is at odds with OSGi's versioning
rules, and can cause the incorrect revision to be selected when working with bundles from
Spring Source's repository (http://www.springsource.com/repository/app/), for example.

Alex Radeski raised this issue about 2 years ago and provided the attached patch to correct
it. I propose that we either accept his patch to improve the behavior or follow Xavier Hanin's
suggestion and adapt it to provide a separate osgi revision strategy.

For the original discussion of the issue, see this discussion thread:
http://marc.info/?l=ant-dev&m=122019942409967&w=1


    Affects Version/s: 2.2.0

Updated the affected versions to include 2.2.0 and corrected some spelling/grammar errors
in the description.

> OSGi-friendly OSGi friendly LatestRevisionStrategy
> --------------------------------------------------
>
>                 Key: IVY-1208
>                 URL: https://issues.apache.org/jira/browse/IVY-1208
>             Project: Ivy
>          Issue Type: Improvement
>          Components: Core
>    Affects Versions: 2.0, 2.1.0, 2.2.0-RC1, 2.2.0
>            Reporter: John Gibson
>            Priority: Minor
>         Attachments: osgi-friendly-latest-rev-strategy-aradeski.patch, separate-osgi-latest-rev-strategy.patch
>
>
> The latest revision strategy is incompatible with OSGi's versioning scheme.  For example
1.1.1 is considered to be after 1.1.1.foo.  This is at odds with OSGi's versioning rules,
and can cause the incorrect revision to be selected when working with bundles from Spring
Source's repository (http://www.springsource.com/repository/app/), for example.
> Alex Radeski raised this issue about 2 years ago and provided the attached patch to correct
it. I propose that we either accept his patch to improve the behavior or follow Xavier Hanin's
suggestion and adapt it to provide a separate osgi revision strategy.
> For the original discussion of the issue, see this discussion thread:
> http://marc.info/?l=ant-dev&m=122019942409967&w=1

--
This message is automatically generated by JIRA.
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message